Debian Bug report logs - #296357
ITP: libcgi-simple-perl -- simple totally OO CGI interface that is CGI.pm compliant

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christopher Sacca <csacca@thecsl.org>

Date: Mon, 21 Feb 2005 23:03:04 UTC

Severity: wishlist

Fixed in version libcgi-simple-perl/0.077-1

Done: Christopher Sacca <csacca@thecsl.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#296357; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christopher Sacca <csacca@thecsl.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christopher Sacca <csacca@thecsl.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libcgi-simple-perl -- simple totally OO CGI interface that is CGI.pm compliant
Date: Mon, 21 Feb 2005 17:57:30 -0500
Package: wnpp
Severity: wishlist


* Package name    : libcgi-simple-perl
  Version         : 0.077
  Upstream Author : Dr James Freeman <jfreeman@tassie.net.au>
* URL             : http://search.cpan.org/~jfreeman/Cgi-Simple-0.077/
* License         : Perl Artistic License
  Description     : simple totally OO CGI interface that is CGI.pm compliant

CGI::Simple provides a relatively lightweight drop in replacement for 
CGI.pm. It shares an identical OO interface to CGI.pm for parameter 
parsing, file upload, cookie handling and header generation. This module 
is entirely object oriented, however a complete functional interface is 
available by using the CGI::Simple::Standard module.

Essentially everything in CGI.pm that relates to the CGI (not HTML) side 
of things is available. There are even a few new methods and additions 
to old ones! If you are interested in what has gone on under the hood 
see the Compatibility with CGI.pm section at the end.

In practical testing this module loads and runs about twice as fast as 
CGI.pm depending on the precise task

Homepage: http://search.cpan.org/~jfreeman/Cgi-Simple-0.077/

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-ck5
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)



Reply sent to Christopher Sacca <csacca@thecsl.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christopher Sacca <csacca@thecsl.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 296357-close@bugs.debian.org (full text, mbox):

From: Christopher Sacca <csacca@thecsl.org>
To: 296357-close@bugs.debian.org
Subject: Bug#296357: fixed in libcgi-simple-perl 0.077-1
Date: Mon, 04 Apr 2005 17:35:39 -0400
Source: libcgi-simple-perl
Source-Version: 0.077-1

We believe that the bug you reported is fixed in the latest version of
libcgi-simple-perl, which is due to be installed in the Debian FTP archive:

libcgi-simple-perl_0.077-1.diff.gz
  to pool/main/libc/libcgi-simple-perl/libcgi-simple-perl_0.077-1.diff.gz
libcgi-simple-perl_0.077-1.dsc
  to pool/main/libc/libcgi-simple-perl/libcgi-simple-perl_0.077-1.dsc
libcgi-simple-perl_0.077-1_all.deb
  to pool/main/libc/libcgi-simple-perl/libcgi-simple-perl_0.077-1_all.deb
libcgi-simple-perl_0.077.orig.tar.gz
  to pool/main/libc/libcgi-simple-perl/libcgi-simple-perl_0.077.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 296357@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christopher Sacca <csacca@thecsl.org> (supplier of updated libcgi-simple-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 22 Feb 2005 13:36:59 -0500
Source: libcgi-simple-perl
Binary: libcgi-simple-perl
Architecture: source all
Version: 0.077-1
Distribution: unstable
Urgency: low
Maintainer: Christopher Sacca <csacca@thecsl.org>
Changed-By: Christopher Sacca <csacca@thecsl.org>
Description: 
 libcgi-simple-perl - A Simple totally OO CGI interface that is CGI.pm compliant
Closes: 296357
Changes: 
 libcgi-simple-perl (0.077-1) unstable; urgency=low
 .
   * Initial Release.
     Closes: #296357
Files: 
 9ffcdefaf7fbd10032dbaf9f171a5f39 648 perl optional libcgi-simple-perl_0.077-1.dsc
 5b947fe84b30a2c8ed050550f73b39a9 149933 perl optional libcgi-simple-perl_0.077.orig.tar.gz
 386db7d99778ce9b0733564d462a52b3 2216 perl optional libcgi-simple-perl_0.077-1.diff.gz
 c352f728a1c2d5be3d60834306f0738b 149776 perl optional libcgi-simple-perl_0.077-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCI3e+ITGblEwaW+URAs2+AJ4m4bkHjLUIexCv/NqJrmE/02O55gCfcsY+
CnKbtIj+YAAIBE0/hqjCrAI=
=UGyS
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:04:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.